sage.library {sagenhaft} | R Documentation

## Class sage.library

### Description

The SAGE library class contains all the data and annotation for a SAGE library. It can contain two data.frames.

### Usage

    read.sage.library(file)
    write.sage.library(x, file=paste(x$libname, "sage", sep="."),
                       what="complete")

### Arguments

`x` | A sage library object
`file` | File name to read or write to
`what` | "complete", read complete librarary tags and sequences; "tags", read only tags and counts

### Details

SAGE library objects consists of one or two data.frames. The data.frame "tags" contains all the unique tags in the library and its counts. The data.frame "seqs" contains all the individual tag sequences and associated quality values. `read.sage.library` and `write.sage.library` are utility functions to read and write SAGE libraries.

### Author(s)

Tim Beissbarth

### References

http://tagcalling.mbgproject.org

### See Also

`extract.lib`

### Examples

    library(sagenhaft)
    E15postHFI <- read.sage.library(system.file("data/E15postHFI.sage",
                                    package="sagenhaft"))
    E15postHFI

[Package sagenhaft version 1.8.0 Index]